CREATE OR REPLACE VIEW apps.managed_mail_domain_v3
 AS
 WITH all_aliases AS (
         SELECT mail_alias.alias,
            mail_alias.addresses AS target,
            mail_alias.comment,
            1 AS priority
           FROM mail_alias
        UNION
         SELECT person.crsid AS alias,
            COALESCE(person.managed_mail_domain_target, person.email_address::text) AS addresses,
            'autogenerated from db'::character varying AS comment,
            2 AS priority
           FROM person
             JOIN _physical_status_v3 ON person.id = _physical_status_v3.person_id
          WHERE (_physical_status_v3.status_id::text = 'Current'::text OR _physical_status_v3.status_id::text = 'Past'::text) AND person.crsid IS NOT NULL AND person.email_address::text ~~ '%@%'::text AND btrim(COALESCE(person.managed_mail_domain_target, person.email_address::text)) <> (person.crsid::text || '@ch.cam.ac.uk'::text) AND NOT person.managed_mail_domain_optout
        )
 SELECT DISTINCT ON (all_aliases.alias) all_aliases.alias,
    all_aliases.target,
    all_aliases.comment
   FROM all_aliases
  ORDER BY all_aliases.alias, all_aliases.priority;
